ARCKBD(4) | Kernel Interfaces Manual (Acorn26) | ARCKBD(4)

# NAME

arckbd — Archimedes keyboard/mouse driver

# SYNOPSIS

arckbd0 at ioc0 bank 0 offset 0x04
wskbd0 at arckbd0
wsmouse0 at arckbd0

# DESCRIPTION

The arckbd driver controls the keyboard on systems supported by NetBSD/acorn26 and interfaces it to the wscons system. All communication between user programs and the arckbd driver goes through the wskbd and wsmouse drivers.

# SEE ALSO

wscons(4), wskbd(4), wsmouse(4)

# BUGS

The arckbd driver is capable of determining the layout of the keyboard, and noticing when it changes (if a different keyboard is connected, for instance), but doesn't know how to pass this information on to wscons.

February 14, 2009 | NetBSD 6.0